#
# spec file for package perl-MCE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MCE
Version:        1.810
Release:        1.4
%define cpan_name MCE
Summary:        Many-Core Engine for Perl providing parallel processing capabilities
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MCE/
Source0:        http://www.cpan.org/authors/id/M/MA/MARIOROY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
MCE spawns a pool of workers and therefore does not fork a new process per
each element of data. Instead, MCE follows a bank queuing model. Imagine
the line being the data and bank-tellers the parallel workers. MCE enhances
that model by adding the ability to chunk the next n elements from the
input stream to the next available worker.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Copying Credits LICENSE README.md

%changelog
* Sun Dec 11 2016 coolo@suse.com
- updated to 1.810
  see /usr/share/doc/packages/perl-MCE/Changes
  1.810 Fri Dec 09 23:30:00 EST 2016
  * Updated check for IO handle allowed. This allows $gather_fh = *STDOUT{IO},
    construction in Perl <= 5.10.1. Thank you, Qiang Wang.
* Thu Nov 24 2016 coolo@suse.com
- updated to 1.809
  see /usr/share/doc/packages/perl-MCE/Changes
* Fri Nov 11 2016 coolo@suse.com
- updated to 1.808
  see /usr/share/doc/packages/perl-MCE/Changes
  1.808 Sat Nov 01 02:00:00 EST 2016
  * Workers persist unless shutdown explicity while running alongside
    the Mojolicious framework.
* Wed Nov  2 2016 coolo@suse.com
- updated to 1.807
  see /usr/share/doc/packages/perl-MCE/Changes
  1.807 Tue Nov 01 16:00:00 EST 2016
  * Enhanced relay capabilities. Added Mandelbrot example to MCE::Example.
    Added extra demonstrations to MCE::Relay. Also, added test script.
  * Tweaked manager-loop delay for special cases -- applies to MSWin32 only.
* Thu Oct 13 2016 coolo@suse.com
- updated to 1.806
  see /usr/share/doc/packages/perl-MCE/Changes
  1.806 Tue Oct 11 21:30:00 EST 2016
  * Fixed two typos. Thank you, Florian Schlichting.
  * Support input_data with nested arrays in MCE Models.
* Fri Sep  2 2016 coolo@suse.com
- updated to 1.805
  see /usr/share/doc/packages/perl-MCE/Changes
  1.805 Thu Sep 01 16:00:00 EST 2016
  * Fixed bug in MCE::Queue (#4). Thank you, Mary Ehlers.
  * Improved support for running MCE with Tk. Added Tk demonstrations to
    MCE::Examples. Thank you, Götz Meyer.
* Sat Jul 30 2016 coolo@suse.com
- updated to 1.804
  see /usr/share/doc/packages/perl-MCE/Changes
  1.804 Thu Jul 28 23:00:00 EST 2016
  * Removed the sleep statement in MCE->restart_worker.
  * Added FCGI::ProcManager demonstrations to MCE::Examples.
  * Automatically set posix_exit to 1 whenever (F)CGI.pm is present.
  * Thank you Kai Wasserbäch (TheRealCuran) for the cool test case.
    https://github.com/marioroy/mce-perl/issues/1
* Tue Jul 12 2016 coolo@suse.com
- updated to 1.803
  see /usr/share/doc/packages/perl-MCE/Changes
  1.803 Sun Jul 10 23:30:00 EST 2016
  * Re-enabled Sereal 3.008+ for Perl < v5.12.0, if available.
  * Optimized dequeue methods in MCE::Queue.
* Wed Jul  6 2016 coolo@suse.com
- updated to 1.802
  see /usr/share/doc/packages/perl-MCE/Changes
  1.802 Mon Jul 04 03:30:00 EST 2016
  * Default to Storable for serialization in Perl less than v5.12.0.
    Sereal 3.008+, if available, is loaded automatically in Perl v5.12+.
  1.801 Sun Jul 03 00:30:00 EST 2016
    [BUG FIXES]
  * Fixed race condition in Queue->await.
    [ENHANCEMENTS]
  * MCE 1.801 is stable on all supported platforms.
  * Completed work supporting cyclical include of MCE Core / Models.
  * Updated MCE to support Perl included with Git Bash.
  * Renamed temp dir from 'mce' to 'Perl-MCE' under user's %%TEMP%%
    location on Windows. E.g. Native Perl, Cygwin, Git Bash.
* Thu Jun 23 2016 coolo@suse.com
- updated to 1.800
  see /usr/share/doc/packages/perl-MCE/Changes
  1.800 Sat Jun 18 16:30:00 EST 2016
    [BUG FIXES]
  * Fixed dequeue (count) in MCE::Queue for standalone mode.
    [ENHANCEMENTS]
  * On Windows, improved stablity and feature parity with UNIX.
  * Use Sereal 3.008+ automatically if available on the box.
    [NEW FEATURES]
  * Added support for cyclical include of MCE Core, MCE Models, and
    MCE Queue by scoping the configuration to the local package.
    This resolves (RT#107384), bug reported by Kai Wasserbäch.
* Tue May 31 2016 coolo@suse.com
- updated to 1.708
  see /usr/share/doc/packages/perl-MCE/Changes
  1.708 Sat May 28 14:00:00 EST 2016
    [BUG FIXES]
  * Improved import routine in MCE Models and MCE::Subs. This resolves an
    issue where functions are not exported; e.g. mce_flow, mce_flow_s.
    [ENHANCEMENTS]
  * Added support for IO::TieCombine handles. This enables MCE->print and
    MCE->sendto to work reliably with App::Cmd and App::Cmd::Tester.
    See Testing and Capturing Output in MCE::Examples.
* Sat May 28 2016 coolo@suse.com
- updated to 1.707
  see /usr/share/doc/packages/perl-MCE/Changes
  1.707 Wed May 25 16:00:00 EST 2016
    [BUG FIXES]
  * Fixed logic when workers exit. Improved reliability on Windows.
    [ENHANCEMENTS]
  * Applied MCE-1.700-provides.patch from RedHat. Thank you, Paul Howarth.
  * Added META.json to the distribution.
* Thu May  5 2016 coolo@suse.com
- updated to 1.706
  see /usr/share/doc/packages/perl-MCE/Changes
  1.706 Fri Apr 22 21:30:00 EST 2016
    [ENHANCEMENTS]
  * Time::HiRes sleep resolution is 15 milliseconds on Windows and Cygwin.
    Adjusted timeout values accordingly. Thank you Daniel Dragan.
  * Reinstated the hack for faster IO when use_slurpio => 1 is specified.
    Tuned chunk_size => 'auto'.
  1.705 Thu Apr 14 10:00:00 EST 2016
  * Bumped version for Test::More to 0.88. Thank you Paul Howarth.
  1.704 Thu Apr 14 05:00:00 EST 2016
    [BUG FIXES]
  * Fixed restart on the Windows platform, bug introduced in 1.700.
  * Reached *stable* on all major platforms for MCE 1.7x.
    [ENHANCEMENTS]
  * Enabled auto-destroy for MCE objects.
  * Enabled freeze callbacks for Sereal.
  * Switched bug tracking to Github.
  * Tweaked test scripts.
* Wed Mar 23 2016 coolo@suse.com
- updated to 1.703
  see /usr/share/doc/packages/perl-MCE/Changes
  1.703 Sat Mar 19 23:00:00 EST 2016
  * Completed IPC optimizations for 1.7.
  1.702 Tue Mar 15 17:00:00 EST 2016
  * Bumped version.
  1.701 Tue Mar 15 12:00:00 EST 2016
    [ENHANCEMENTS]
  * Some folks have expressed a wish for running MCE 1.7 with Perl v5.8.
    To restore support for Perl v5.8, removed MCE::Shared and MCE::Hobo
    from the MCE 1.701 distribution.
  * MCE::Shared will be released after MCE 1.700 is deleted from CPAN.
    Thank you for your patience during this transition.
* Fri Mar 11 2016 coolo@suse.com
- updated to 1.700
  see /usr/share/doc/packages/perl-MCE/Changes
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
